"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const log = __importStar(require("./loggers"));
class RemoveAssetsWebpackPlugin {
    constructor(config) {
        this.config = config;
    }
    apply(compiler) {
        compiler.hooks.shouldEmit.tap('RemoveAssetsWebpackPlugin', (compilation) => {
            const matches = [];
            AssetsIterator: for (const filePath of Object.keys(compilation.assets)) {
                for (const pattern of this.config.patterns) {
                    if (pattern.test(filePath)) {
                        matches.push([filePath, pattern]);
                        delete compilation.assets[filePath];
                        continue AssetsIterator;
                    }
                }
            }
            if (this.config.enableLog) {
                log.logResult(this.config.patterns, matches);
            }
            return true;
        });
    }
}
exports.default = RemoveAssetsWebpackPlugin;
