"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logResult = void 0;
const chalk_1 = __importDefault(require("chalk"));
function logResult(patterns, matches) {
    line();
    text('RemoveAssetsWebpackPlugin');
    line();
    underlined('Patterns');
    patterns.forEach(pattern);
    blankLine();
    underlined('Removed assets');
    assets(matches);
    line();
}
exports.logResult = logResult;
function line() {
    console.log(chalk_1.default.bold('-'.repeat(100)));
}
function text(text) {
    console.log(chalk_1.default.bold(text));
}
function underlined(text) {
    console.log(chalk_1.default.bold.underline(text));
}
function pattern(regex) {
    console.log(`  ` + chalk_1.default.cyan.bold(regex));
}
function assets(matches) {
    const longestPathLength = matches.reduce((max, [path]) => Math.max(max, path.length), 0);
    for (const [path, regex] of matches) {
        console.log(`  ` + chalk_1.default.green.bold(path.padStart(longestPathLength)) + '   matching   ' + chalk_1.default.cyan.bold(regex));
    }
}
function blankLine() {
    console.log('');
}
